using System;
using System.Linq.Expressions;

namespace System.Reactive
{
	internal class ObservableQuery
	{
		public object Source
		{
			get
			{
				return this._source;
			}
		}

		public Expression Expression
		{
			get
			{
				return this._expression;
			}
		}

		protected object _source;

		protected Expression _expression;
	}
}
